/*
 *  (c) Copyright Enterprise Computing Research Group (ECRG),
 *  National University of Ireland, Galway 2003/2004.
 *
 *  This program is free software; you can redistribute it and/or modify it under the terms of
 *  the GNU Lesser General Public License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 *  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE and
 *  no warranty that the program does not infringe the Intellectual Property rights of a third party.
 *  See the GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public License along with this program;
 *  if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
package ie.nuigalway.ecrg.jade.jmsagentgateway.onto;

import jade.content.*;
import jade.core.*;
import jade.util.leap.*;

/**
 *  Concept used for JMS Message Property Protege name: Property
 *
 * @author     ontology bean generator
 * @version    2004/03/31, 18:54:36
 */
public class Property implements Concept {

  /**
   *  Property Name Protege name: propName
   */
  private String propName;

  /**
   *  Property Value Protege name: propValue
   */
  private String propValue;


  /**
   *  Sets the propName attribute of the Property object
   *
   * @param  value  The new propName value
   */
  public void setPropName(String value) {
    this.propName = value;
  }


  /**
   *  Gets the propName attribute of the Property object
   *
   * @return    The propName value
   */
  public String getPropName() {
    return this.propName;
  }


  /**
   *  Sets the propValue attribute of the Property object
   *
   * @param  value  The new propValue value
   */
  public void setPropValue(String value) {
    this.propValue = value;
  }


  /**
   *  Gets the propValue attribute of the Property object
   *
   * @return    The propValue value
   */
  public String getPropValue() {
    return this.propValue;
  }

}

